> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# paymenttype

> GenericMDOProvider reads MDO lists with default settings

## "paymenttype" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'paymenttype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/paymenttype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("paymenttype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 1  | Credit Card |           |           |
| 2  | Invoice     |           |           |

## Related MDO Lists

* "paymenttypeheadings"
* "paymenttypeheadingswithallitem"
* "paymenttypeheadingswithallitemwithnoselection"
* "paymenttypeheadingswithnoselection"
* "paymenttypewithallitem"
* "paymenttypewithallitemwithnoselection"
* "paymenttypewithnoselection"


## Related topics

- [PaymentType table](/en/database/tables/paymenttype.md)
- [SuperOffice.WebApi.Data.PaymentType](/en/api/reference/webapi/SuperOffice.WebApi.Data.PaymentType.md)
- [PaymentTypeGroupLink table](/en/database/tables/paymenttypegrouplink.md)
- [PaymentTypeHeadingLink table](/en/database/tables/paymenttypeheadinglink.md)
- [Delete Payment Type](/en/api/reference/restful/rest/list_paymenttype/delete-payment-type.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
